eoFileMonitor(3)

NAME
eoFileMonitor - Prints statistics to file.

SYNOPSIS

#include <eoFileMonitor.h>

Inherits eoMonitor.

Inherited by eoGnuplot1DMonitor.

  Public Member Functions
eoFileMonitor (std::string _filename, std::string _delim=' ', bool _keep=false, bool _header=false)
virtual eoMonitor & operator() (void)
The pure virtual function that needs to be implemented by the subclass.
virtual eoMonitor & operator() (std::ostream &os)
void printHeader (void)
virtual void printHeader (std::ostream &os)
virtual std::string getFileName ()

  Private Attributes
std::string filename
std::string delim
bool keep
bool header
bool firstcall

Detailed Description

Prints statistics to file. Modified the default behavior, so that it erases existing files. Can be modified in the ctor.

Version:
    MS 25/11/00

Definition at line 44 of file eoFileMonitor.h.

Author

Generated automatically by Doxygen for EO from the source code.